Package Details: java3d 1.5.2-9

Git Clone URL: https://aur.archlinux.org/java3d.git (read-only)
Package Base: java3d
Description: High-level constructs to create and manipulate 3D geometry
Upstream URL: https://java3d.java.net/
Licenses: custom:"JRL"
Submitter: None
Maintainer: jose1711
Last Packager: jose1711
Votes: 108
Popularity: 0.009549
First Submitted: 2005-04-13 18:36
Last Updated: 2016-01-28 11:46

Latest Comments

« First ‹ Previous 1 2 3

Anonymous comment on 2011-04-11 11:47

I think PKGBUILD is wrong:
install -d -m755 $pkgdir/opt/$JAVA_HOME/jre || return 1
cd $pkgdir/opt/$JAVA_HOME/jre || return 1

should be:
install -d -m755 $pkgdir/$JAVA_HOME/jre || return 1
cd $pkgdir/$JAVA_HOME/jre || return 1

emphire commented on 2011-03-29 18:03

@mmm ${var} is not needed unless there are characters in or around $var that confuse the parser.
@syco. Thanks. I added $JAVA_HOME and replaced the jre dependency with java-runtime.

To whoever flagged this package out-of-date: I don't see a new version on the java3d site.

justinnhli commented on 2011-02-25 23:15

@Syco your pkgbuild has a typo on line 16: && md5sum=... should be && md5sums=...
The corrected version is here: http://pastebin.com/emWT4Gd7

Syco commented on 2011-01-27 10:18

I've done this pkgbuild with java-runtime and other little and with some other minor changes
http://pastebin.com/nFpyZ3e5

mmm commented on 2010-11-30 13:06

yes, please use java-runtime and $var should be ${var} in lot of places of PKGBUILD
Thanks

florianbw commented on 2010-09-26 14:29

Dependency 'jre' should by substituted by 'java-runtime'.